支払方法取得
GET
/payments/{payment_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/ec-b2b/payments/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/ec-b2b/payments/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'支払方法を取得します。
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”payment_id
required
string format: uuid
支払方法ID
Responses
Section titled “Responses”取得成功
Media typeapplication/json
PaymentResponse
object
id
支払方法ID
string format: uuid
name
名前
string
displayName
表示名
string
paymentCode
支払コード
integer
isUsage
利用中フラグ
true: 利用中false: 未利用
boolean
Examples
Exampledefault
{ "id": "12345678-1234-1234-1234-1234567890ab", "name": "請求書払い", "displayName": "請求書払い", "paymentCode": 10, "isUsage": true}指定されたIDのリソースが見つからない場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Example
{ "type": "about:blank", "title": "Not Found", "detail": "指定されたIDのリソースが見つかりません", "status": 404}